Subject: Is this a bug?

From: Klaus Dittrich <[email-masked]>
Date: Sun, 27 Nov 2022 18:29:28 +0100

Given file.txt with three lines:

/usr/local/lib/gdk-pixbuf-2.0
empty
/usr/local/lib/libgd2

When I do:

grep gdk file.txt
this results in : /usr/local/lib/gdk-pixbuf-2.0

Which looks ok for me.

When I do:

grep  gdk* file.txt
this results in : /usr/local/lib/gdk-pixbuf-2
                   /usr/local/lib/libgd2.0

This looks like then '*' eats the 'k'
from 'gdk*' and looks for 'gd'' instead of 'gdk*'.
Or equivalent to grep  gd* file.txt
Or equivalent to grep  gd file.txt

grep   gdk.* file.txt
this results in : /usr/local/lib/gdk-pixbuf-2.0

Which looks ok for me.
Either now the point is eaten or the point is correctly replaced by 'any 
character'

grep is grep-3.8 and linked with

Can you please verify if this is a bug or anything in my thinking is 
wrong beacuse I have overlooked something?

-- 
Regards Klaus